Subject: bug#74915: [PATCH] Fix custom types of gnus-article-treat-head-custom variables

From: Björn Bidar <[email-masked]>
Date: Tue, 17 Dec 2024 15:30:37 +0200

Robert Pluim <[email-masked]> writes:

>>>>>> On Tue, 17 Dec 2024 15:02:37 +0200, Björn Bidar <[email-masked]> said:
>
>     Björn> Robert Pluim <[email-masked]> writes:
>     >>>>>>> On Tue, 17 Dec 2024 12:22:51 +0200, Björn Bidar
>     >> <[email-masked]> said:
>     Björn> The manual, in (info "(gnus) Customizing Articles") , seem
>     Björn> to match with
>     Björn> those and talk in general like they apply to all of these. 
>     >> >> 
>     >> >> I really donʼt think something like this
>     >> >> 
>     >> >> 6. An integer: Do this treatment on all body parts that have a length
>     >> >> less than this number.
>     >> >> 
>     >> >> is applicable to headers.
>     >> 
>     Björn> Ok sure. What do you suggest instead?
>     >> 
>     >> Iʼd read the code carefully and see if any of the treatments that
>     >> apply to headers actually honour any other values than 'head or nil.
>
>     Björn> I was asking more in the way that you already know which one do or
>     Björn> don't.
>     Björn> Of course I can go through them but somebody that knows the code better fix
>     Björn> them much faster than me.
>
> If I knew the code well, Iʼd have been more definite. Has anyone
> actually complained that the type is wrong?

I haven't seen anyone so far since nobody/not so many seem to use custom
with Gnus.
I have started to use setopt instead of setq to catch some options set
wrong and have seen these errors through that.
Of course you can always use setq but that defeats the point of custom.